<?php
$ds = DIRECTORY_SEPARATOR;
require_once __DIR__."/../vendor/composer/ClassLoader.php";

$appPath = realpath(__DIR__ . $ds . ".." . $ds . "src");
$generatedPath = realpath(__DIR__ . $ds . ".." . $ds . "gen");

function registerNamespace($namespace, $path) {
    $classLoader = new \Composer\Autoload\ClassLoader();
    $classLoader->add($namespace, $path);
    $classLoader->register(true);
}

registerNamespace('Controller', $appPath);
registerNamespace('Ems', $appPath);
registerNamespace('Exception', $appPath);
registerNamespace('Factory', $appPath);
registerNamespace('Model', $appPath);
registerNamespace('Repositories', $appPath);
registerNamespace('Service', $appPath);
registerNamespace('Setforms2', $appPath);
registerNamespace('Util', $appPath);
registerNamespace('Teknisa', $appPath);
registerNamespace('HCM', $appPath);
registerNamespace('Generated', $generatedPath);
registerNamespace('Folha', $appPath);
registerNamespace('Geral', $appPath);
registerNamespace('Mig', $appPath);
registerNamespace('PHPExcel', $appPath);